export declare class RippleEffect {
    private clickListener;
    private timer;
    element: HTMLAnjRippleEffectElement;
    active: boolean;
    ready: boolean;
    /**
     * The end magnification by percent
     */
    end: number;
    /**
     * The start by percent
     */
    start: number;
    connectedCallback(): void;
    disconnectedCallback(): void;
    ripple(): Promise<void>;
    private onEnd;
    private setScale;
    render(): any;
}
